Loading...
Searching...
No Matches
gsm_time Struct Reference

`#include <gsm_utils.h>`

## Data Fields

uint32_t | fn
uint16_t | t1
uint8_t | t2
uint8_t | t3
uint8_t | tc

## Field Documentation

## fn

uint32_t gsm_time::fn

Referenced by gsm0502_hop_seq_gen(), gsm_fn_as_gsmtime_str(), gsm_gsmtime2fn(), and osmo_dump_gsmtime_buf().

## t1

uint16_t gsm_time::t1

Referenced by gsm0502_hop_seq_gen(), l2_ph_chan_conf(), l2_ph_rach_ind(), and osmo_dump_gsmtime_buf().

## t2

uint8_t gsm_time::t2

Referenced by gsm0502_hop_seq_gen(), l2_ph_chan_conf(), l2_ph_rach_ind(), and osmo_dump_gsmtime_buf().

## t3

uint8_t gsm_time::t3

Referenced by gsm0502_hop_seq_gen(), l2_ph_chan_conf(), l2_ph_rach_ind(), and osmo_dump_gsmtime_buf().

## tc

uint8_t gsm_time::tc

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm_utils.h